<!DOCTYPE html>

<?php 
	session_start();
	@ob_start();
	include "../../config/koneksi.php";
	include "../../config/fungsi_rupiah.php";
	include "../../config/fungsi_indotgl.php";
	include "../head.php";

	
	if ($_SESSION['nama'] == ''){
		header('Location:index.php');
	}
	else{
?>
<html>

  <body class="hold-transition skin-blue sidebar-mini layout-boxed">
    <div class="wrapper">
		<?php include "../header.php";?>
      
		<?php include "../menu.php";?>
		
		<?php		
			$dt = strtotime('today GMT');
			$tglawal = $_GET['tglawal'];
			$tglakhir = $_GET['tglakhir'];
				
			if ($tglawal == ""){
				$tglawal = date('Y-m-d', strtotime('first day of this month', $dt));
			}
			
			if ($tglakhir == ""){
				$tglakhir = date('Y-m-d', strtotime('last day of this month', $dt)); 
			}						
		?>
      

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            LAPORAN PENJUALAN
            <small>Data Penjualan</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="data.php">Laporan</a></li>
            <li class="active"><a href="#"><u>Penjualan</u></a></li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12">
              
              <div class="box">
                <div class="box-header">
				
				
			<?php
				if (strtoupper ($_SESSION['nama']) == "ADMIN"){
			?>
				
			<div class="row">
				<div class="col-lg-12">    
				
					<div class="col-lg-12">
					  <!-- small box -->
					  <div class="small-box bg-blue">
						<div class="inner">
						<p>Total Jual</p>
						  <h3 align = 'right'><?php
												$totaljual = mysql_result(mysql_query("SELECT (sum(jualcsdetail.qty * jualcsdetail.harga * (100- jualcsdetail.disc)/100 )) - (select sum(diskon) from jualcs where jualcs.status <>'D' and jualcs.billdate >= '$tglawal' and jualcs.billdate <= '$tglakhir' ) FROM jualcsdetail inner join jualcs on jualcs.billno = jualcsdetail.billno and jualcsdetail.ucode = jualcs.ucode and jualcs.status <>'D' and jualcs.billdate >= '$tglawal' and jualcs.billdate <= '$tglakhir'"),0);
												$totaljual2 = format_rupiah($totaljual); echo"$totaljual2"; 
											 ?><sup style="font-size: 20px">IDR</sup></h3>
				
						</div>
					   
						<a class="small-box-footer">Total Penjualan<i class="fa fa-arrow-circle-right"></i></a>
					  </div>
					</div><!-- ./col -->
	
				</div>
			</div><!-- /.row -->
                  
			<?php
				}
			?>			
		<script src="highcharts.js"></script>
		<script src="exporting.js"></script>
		  
			
		
				  
				  
				  <?php
						echo"<h3 class='box-title'><br><br>List PENJUALAN</h3>";
						
						echo"<br><br>
						<form method=POST action='aksisales.php?module=lap&act=penjualan'>
								<table>
									<tr>
										<td>
												<div class='input-group'>
													<i class='fa fa-calendar'> From </i> <input value = '$tglawal' name ='awal' type = 'date'>
												</div>
										</td>
										<td> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</td>
										<td>
												<div class='input-group'>
													<i class='fa fa-calendar'> To</i> <input value = '$tglakhir' name='akhir' type = 'date'>
												</div>
										</td>
										<td>
												<div class='input-group'>
													<button type='submit'> GO </button></form>
												</div>
										</td>
									</tr>
								</table>";

			
			
				?>
				 
                </div><!-- /.box-header -->
                <div class="box-body">
                  <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th>No Ord</th>
                        <th>Tanggal</th>
                        <th>Customer</th>
						<th>Total</th>
						<th>Kasir</th>
                      </tr>
                    </thead>
                    <tbody>
					<?php
						$user = $_SESSION['nama'];
						$idd = $_SESSION['idm'];
						$today = date("Y-m-d");
						$cek = mysql_query("Select * from jualcs where jualcs.status <> 'D' and jualcs.kasir <> '' and (jualcs.billdate >= '$tglawal' and jualcs.billdate <= '$tglakhir') order by billno desc ");
						
						
						
						while ($r=mysql_fetch_array($cek)){	
							$ord = $r['billno'];
							$ucode = $r['ucode'];
							$nota = "AA".substr($r['billdate'],2,2).substr($r['billdate'],5,2)." ".str_pad($r['billno'], 4, "0", STR_PAD_LEFT);
							$tgl = tgl_ind($r['billdate']);
							$supp = mysql_result(mysql_query("select nama from customer where id = $r[cust]"),0);
							$tot0 = mysql_result(mysql_query("select sum(qty * (harga - (harga * disc /100))) from jualcsdetail where billno = $ord and ucode = '$ucode'"),0);
							$diskon = mysql_result(mysql_query("select diskon from jualcs where billno = $ord and ucode = '$ucode'"),0);
							$total = format_rupiah($tot0 - $diskon);


							
							echo "<tr>
									<td><a href='penjualanview.php?id=$ord&ucode=$ucode'>$nota</a></td>
									<td>$tgl</td>
									<td>$supp</td>
									<td>$total</td>
									<td>$r[kasir]</td>
								  </tr>";
						}
					?>
                        
                     
                    </tbody>

                  </table>
				  
				  
			  
			  
			  
			  
				  
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
          </div><!-- /.row -->
		  
		  
		  
		  
		  
		 
        </section><!-- /.content -->
		
		<!-- Modal form-->
                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                  <div class="modal-dialog ">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h4 class="modal-title" id="myModalLabel"></h4>
                      </div>
                      <div class="modal-body" id="modal-bodyku">
                      </div>
                      <div class="modal-footer" id="modal-footerq">
                      </div>
                    </div>
                  </div>
                </div>
                <!-- end of modal ------------------------------>
		
		
      </div><!-- /.content-wrapper -->
		<?php include "../footer.php";?>
		

      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">

        <!-- Tab panes -->
        <div class="tab-content">
          <!-- Home tab content -->
          <div class="tab-pane" id="control-sidebar-home-tab">

          </div><!-- /.tab-pane -->

        </div>
      </aside><!-- /.control-sidebar -->
      <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
      <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->
	

	<script language="javascript">
	 function open_container(id)
	 {
	 var size='standart';
	 var content = '<form role="form" method=POST action="aksisales.php?module=sales&act=validasibyr&id='+id+'" ><div class="form-group"><label for="exampleInputFile">Yakin Validasi Pembayaran untuk Nota '+id+'</label></div><button type="submit" class="btn btn-default">Submit</button></form>';
	 var title = 'Validasi Penerimaan Pembayaran';
	 var footer = '<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>';
	 setModalBox(title,content,footer,size);
	 $('#myModal').modal('show');
	 }
	 function setModalBox(title,content,footer,$size)
	 {
	 document.getElementById('modal-bodyku').innerHTML=content;
	 document.getElementById('myModalLabel').innerHTML=title;
	 document.getElementById('modal-footerq').innerHTML=footer;
	 if($size == 'large')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-lg')
		  .attr('aria-labelledby','myLargeModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-lg');
	 }
	 if($size == 'standart')
	 {
	 $('#myModal').attr('class', 'modal fade')
		  .attr('aria-labelledby','myModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog');
	 }
	 if($size == 'small')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-sm')
		  .attr('aria-labelledby','mySmallModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-sm');
	 }
	 }
	 
	 
	 
	 function open_container2(id)
	 {
	 var size='standart';
	 var content = '<form role="form" method=POST action="aksisales.php?module=sales&act=validasikrm&id='+id+'" ><div class="form-group"><label for="exampleInputFile">Yakin Validasi Pengiriman untuk Nota '+id+'</label></div><button type="submit" class="btn btn-default">Submit</button></form>';
	 var title = 'Validasi Barang Dikirim';
	 var footer = '<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>';
	 setModalBox(title,content,footer,size);
	 $('#myModal').modal('show');
	 }
	 function setModalBox(title,content,footer,$size)
	 {
	 document.getElementById('modal-bodyku').innerHTML=content;
	 document.getElementById('myModalLabel').innerHTML=title;
	 document.getElementById('modal-footerq').innerHTML=footer;
	 if($size == 'large')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-lg')
		  .attr('aria-labelledby','myLargeModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-lg');
	 }
	 if($size == 'standart')
	 {
	 $('#myModal').attr('class', 'modal fade')
		  .attr('aria-labelledby','myModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog');
	 }
	 if($size == 'small')
	 {
	 $('#myModal').attr('class', 'modal fade bs-example-modal-sm')
		  .attr('aria-labelledby','mySmallModalLabel');
	 $('.modal-dialog').attr('class','modal-dialog modal-sm');
	 }
	 }
 </script>
 
<script>
	var chart = Highcharts.chart('container', {

		title: {
			text: <?php echo "$title1" ; ?>
		},

		subtitle: {
			text: ''
		},

		xAxis: {
			categories: [<?php echo "$kasir" ; ?>]
		},

		series: <?php echo "$isi" ; ?>

	});

</script>
<script>
	var chart = Highcharts.chart('container22', {

		title: {
			text: <?php echo "$title22" ; ?>
		},

		subtitle: {
			text: ''
		},

		xAxis: {
			categories: [<?php echo "$kasir22" ; ?>]
		},

		series: <?php echo "$isi22" ; ?>

	});

</script>

    <!-- jQuery 2.1.4 -->
    <script src="../../plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- Bootstrap 3.3.5 -->
    <script src="../../bootstrap/js/bootstrap.min.js"></script>
    <!-- DataTables -->
    <script src="../../plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="../../plugins/datatables/dataTables.bootstrap.min.js"></script>
    <!-- SlimScroll -->
    <script src="../../plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="../../plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="../../dist/js/app.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="../../dist/js/demo.js"></script>
    <!-- page script -->

	
	
    <script>
      $(function () {
        $("#example2").DataTable();
        $('#example1').DataTable({
          "paging": false,
          "lengthChange": true,
          "searching": true,
          "ordering": true,
		  "order": [[ 0, "asc" ]],
          "info": true,
          "autoWidth": false
        });
      });
    </script>
	
	
	
  </body>
</html>
<?php 
	}
?>